@charset "UTF-8";
/**
 * @file layout-vitrine.scss
 * @description Point d'entrée SCSS spécifique au layout vitrine
 */
/**
 * @file _tokens.scss
 * @description Variables de design (couleurs, typo, espacements, breakpoints)
 */
/**
 * @file layout-vitrine.scss
 * @description Point d'entrée SCSS spécifique au layout vitrine
 */
/**
 * @file _header.scss
 * @description Styles pour l'en-tête du site
 */
.main-header {
  background-color: #ffffff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 0.5rem 0;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  z-index: 100;
  height: 4.5rem;
}
@media (min-width: 768px) {
  .main-header {
    padding-block: 1rem;
  }
}
.main-header .container {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1024px;
  margin: 0 auto;
  padding: 0 1rem;
}
.main-header .header-section {
  display: flex;
  gap: 1rem;
  align-items: center;
}
.main-header .header-section--left .menu-toggle.always-show {
  display: block;
}
@media (min-width: 768px) {
  .main-header .header-section--left .menu-toggle {
    display: none;
  }
}
.main-header .header-section--center {
  display: none;
}
@media (min-width: 768px) {
  .main-header .header-section--center {
    display: block;
  }
}
.main-header .header-section--center ul {
  display: flex;
  gap: 0.5rem 2vw;
  margin-inline: 2vw;
  flex-wrap: wrap;
}
.main-header .header-section--center ul a {
  font-size: clamp(1rem, 2.15vw, 1.25rem);
  color: #323232;
}
.main-header .header-section--center ul a:hover, .main-header .header-section--center ul a.active {
  color: #F48C34;
}
.main-header .header-section--center ul li.button--download {
  display: none;
}
.main-header .header-section--right .button--text {
  min-width: unset;
  padding-inline: 1.5em;
  padding-block: 0.25em;
}
.main-header .header-section--right .button--icon img {
  width: 20px;
}

/**
 * @file layout-vitrine.scss
 * @description Point d'entrée SCSS spécifique au layout vitrine
 */
/**
 * @file _offcanvasmenu.scss
 * @description Styles pour le menu mobile off canvas
 */
.offcanvas {
  position: fixed;
  top: 0;
  right: 0;
  left: auto;
  width: 100%;
  height: 100%;
  overflow: hidden;
  overflow-y: scroll;
  background: rgba(255, 255, 255, 0.4);
  z-index: 1000;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}
@media (min-width: 768px) {
  .offcanvas {
    right: auto;
    left: auto;
  }
}
.offcanvas__header {
  display: flex;
  gap: 1rem;
  align-items: center;
}
.offcanvas__content {
  position: absolute;
  display: grid;
  justify-items: left;
  gap: 2rem;
  top: 0;
  left: -23ch;
  width: 23ch;
  height: max-content;
  background: #ffffff;
  padding: 1rem;
  border-bottom-left-radius: 24px;
  border-bottom-right-radius: 24px;
  transition: left 0.3s ease;
  box-shadow: -2px 0 5px rgba(0, 0, 0, 0.2);
}
.offcanvas__content nav ul li {
  margin-bottom: 1rem;
}
.offcanvas__content nav ul li a {
  color: #323232;
  font-weight: 500;
}
.offcanvas__content nav ul li a:hover, .offcanvas__content nav ul li a.active {
  color: #F48C34;
}
.offcanvas__content nav ul li a.button--download {
  background-color: #CDCDCD;
  color: #323232;
  margin-top: 1rem;
  text-align: center;
  border-radius: 10px;
}
.offcanvas__content nav ul li a.button--download:hover {
  background-color: #9B9B9C;
  color: #ffffff;
}
.offcanvas[aria-hidden=false] {
  visibility: visible;
  opacity: 1;
}
.offcanvas[aria-hidden=false] .offcanvas__content {
  left: 0;
}
.offcanvas__close-btn {
  align-self: start;
  justify-self: end;
}
.offcanvas--credit {
  background: rgba(255, 255, 255, 0.8);
  left: auto;
  right: 0;
  width: 100%;
  position: absolute;
  overflow: visible;
}
.offcanvas--credit .offcanvas__content {
  background: #DDE3E3;
  left: auto;
  right: auto;
  top: 0;
  width: 80%;
  padding-right: 2rem;
  background: #F2F2F2;
  border-radius: 0;
  border-bottom-left-radius: 24px;
  box-shadow: -4px 0 12px rgba(0, 0, 0, 0.15);
  justify-items: end;
  text-align: right;
  transform: translateX(100%);
  transition: transform 0.3s ease;
}
.offcanvas--credit[aria-hidden=false] {
  visibility: visible;
  opacity: 1;
}
.offcanvas--credit[aria-hidden=false] .offcanvas__content {
  left: auto;
  right: 0;
  transform: translateX(0);
}
.offcanvas--credit .offcanvas__close-btn {
  position: absolute;
}
.offcanvas--credit nav ul li {
  margin-bottom: 0;
}
.offcanvas--credit nav ul li a {
  font-size: 1.125rem;
  font-weight: 700;
  color: #323232;
  display: block;
  padding-block: 0.5rem;
}
.offcanvas--credit nav ul li a:hover {
  color: #323232;
}
.offcanvas--credit .offcanvas-credit__item--disabled {
  font-size: 1.125rem;
  color: #9B9B9C;
  font-weight: 400;
  display: block;
  padding-block: 1rem;
}

/**
 * @file layout-vitrine.scss
 * @description Point d'entrée SCSS spécifique au layout vitrine
 */
/**
 * @file _vitrinefooter.scss
 * @description Styles pour le bas de page
 */
#vitrine-footer {
  background-color: #323232;
  color: #ffffff;
  padding: 2rem 0;
}
#vitrine-footer .container {
  max-width: 1024px;
  margin: 0 auto;
  padding: 0 1rem;
  display: grid;
  gap: 2rem;
  justify-items: center;
}
@media (min-width: 768px) {
  #vitrine-footer .container {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    margin-inline: auto;
  }
}
#vitrine-footer p {
  margin: 0 0 1rem 0;
}
@media (min-width: 768px) {
  #vitrine-footer p {
    margin: 0;
  }
}
#vitrine-footer p a {
  text-decoration: none;
  color: inherit;
}
#vitrine-footer p a:hover {
  text-decoration: underline;
}
#vitrine-footer .footer__hours {
  border-bottom: 1px solid #ffffff;
  padding-bottom: 1rem;
  width: 100%;
}
@media (min-width: 768px) {
  #vitrine-footer .footer__hours {
    width: fit-content;
    border-bottom: none;
  }
}
#vitrine-footer .footer__hours .hours__grid {
  display: grid;
  grid-template-columns: 1fr auto;
  margin: 0 auto;
  width: fit-content;
}
#vitrine-footer .footer__hours .hours__grid dt, #vitrine-footer .footer__hours .hours__grid dd {
  padding: 0.5rem 0;
  font-size: 0.9375rem;
}
#vitrine-footer .footer__hours .hours__grid dt:not(:last-of-type), #vitrine-footer .footer__hours .hours__grid dd:not(:last-of-type) {
  border-bottom: 1px solid #ffffff;
}
#vitrine-footer .footer__hours .hours__grid dt:first-of-type, #vitrine-footer .footer__hours .hours__grid dd:first-of-type {
  padding-top: 0;
}
#vitrine-footer .footer__hours .hours__grid dd {
  padding-inline: 2rem;
}
#vitrine-footer .footer__contact {
  display: grid;
  gap: 0.5rem;
  align-content: start;
  padding: 0 1rem;
  font-size: 1.25rem;
}
#vitrine-footer .footer__contact .contact__item {
  display: flex;
  align-items: flex-start;
  gap: 1rem;
}
#vitrine-footer .footer__contact .contact__icon {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  padding-top: 0.1em;
}
#vitrine-footer .footer__services {
  padding: 0 1rem 1rem;
  font-size: 1.25rem;
}
#vitrine-footer .footer__services nav ul {
  list-style: none;
  padding: 0;
  margin: 1rem 0 0 2rem;
  display: grid;
  justify-content: center;
  gap: 0.5rem;
}
#vitrine-footer .footer__services nav ul a {
  text-decoration: none;
}
#vitrine-footer .footer__services nav ul a:hover {
  text-decoration: underline;
}
#vitrine-footer .footer__about {
  font-size: 0.875rem;
}

/**
 * @file layout-vitrine.scss
 * @description Point d'entrée SCSS spécifique au layout vitrine
 */
/**
 * @file _avantages.scss
 * @description Styles pour la grille d'avantages
 */
.avantages {
  max-width: 100vw;
  padding: 0 1rem;
}
.avantages .avantages__intro {
  padding-inline: 1rem;
  margin-block: 1rem 2rem;
}
@media (min-width: 768px) {
  .avantages .avantages__intro {
    padding-inline: 4rem;
  }
}
.avantages .avantages__items {
  overflow-x: scroll;
  margin: 0 auto;
  padding: 0 1rem;
}
@media (min-width: 768px) {
  .avantages .avantages__items {
    max-width: 1024px;
  }
}
.avantages .avantages__items .grid {
  display: grid;
  gap: 4rem;
  width: max-content;
  grid-template-columns: repeat(3, 1fr);
  margin: 0 auto;
}
.avantages .avantage {
  padding: 2rem 0.5rem;
  text-align: center;
  display: grid;
  align-content: start;
  gap: 2rem;
  width: 80vw;
  max-width: 385px;
}
.avantages .avantage .icon {
  max-width: 55px;
  height: auto;
  margin-inline: auto;
}
.avantages .avantage h3 {
  max-width: 23ch;
  margin-inline: auto;
}
.avantages .avantage p {
  max-width: 30ch;
}

@user "components/lineofcreditform";
#layout-vitrine #main-content {
  overflow: hidden;
}
#layout-vitrine h1 {
  font-size: 1.9375rem;
  margin-bottom: 2rem;
}
#layout-vitrine #legals {
  padding-block: 0.5rem;
  text-align: right;
  font-weight: bold;
  font-size: 0.81rem;
}